#!/usr/bin/env node

var Chrome = require('../');

if (process.argv.length != 4) {
    console.error('Usage: dump.js <regexp> <url>');
    process.exit(1);
} else {
    var regexp = process.argv[2];
    var url = process.argv[3];
    Chrome(function (chrome) {
        var regexpObject = new RegExp(regexp, 'i');
        with (chrome) {
            Console.enable();
            Debugger.enable();
            Network.enable();
            Page.enable();
            on('event', function(message) {
                if (message.method.match(regexpObject)) {
                    console.log(JSON.stringify(message, null, 4));
                }
            });
            Page.navigate({'url': url});
        }
    });
}
